var provider_form = {
    settings: {
        providerType_autocomplete_url: '',
        city_autocomplete_url: '',
        postalCode_autocomplete_url: ''
    },
    init: function() {
        this.initAutocomplete();
    },
    initAutocomplete: function() {
        global.autocomplete.bind(this.settings.providerType_autocomplete_url, '#provider_provider_type_desc', '#provider_provider_type');
        global.autocomplete.bind(this.settings.city_autocomplete_url, '#provider_city_desc', '#provider_city');
        global.autocomplete.bind(this.settings.postalCode_autocomplete_url, '#provider_postalCode_desc', '#provider_postalCode', {
            onSelect: function (c) {
                jQ('#provider_city_desc').val(c.city);
                jQ('#provider_city').val(c.cityId);
            }
        });
    }
};